1. alewela's Avatar
    My iPad 2 (GSM model) has been with 4.3.3 (jailbroken) for a long time, until recently there is a need for upgrade. And since I need it to be jailbroken after the upgrading, 6.1.2 seems to be the highest I can get, since 6.1.3 is not jailbreakable. (Please correct me if 6.1.3 can be jailbroken.)

    I started upgrading process today. After half a day's effort, of which most of the time was spent in internet research, I found myself not far away from the position before I started the upgrading process - nothing has been done and I don't know what to do.

    My first question is about my understanding. All the web pages I have come across suggest that I can upgrade to 6.1.2 or earlier versions only if I have a saved 4.x SHSH blob. Is my understanding correct?

    I *do* have saved 4.x SHSH blobs. Actually, I have saved them multiple times, for multiple versions, with multiple tools - Before today, I've saved them at least twice, each time multiple versions were saved; I've saved 4.3.3, 4.3.4 & 4.3.5; They were saved with TinyUmbrella and iSHSH*t. I also save them again today with TinyUmbrella and iFaith. So I've got 4 collections of 4.x SHSH blobs, each with multiple versions. However, there is one problem. None of the aforementioned 4.x SHSH blobs was verified valid with redsn0w (reporting "APTicket missing") and iFaith (reporting "not supported"). So I supposed that none of my blobs is valid. However, I found some web page saying "As of iOS 5, SHSH blobs require an APTicket to be valid.". So now I'm guessing that the SHSH blobs might still be valid even though neither of the two tools reports them valid. Is my understanding correct? In other words, can I use these SHSH blobs to upgrade my iPad 2 to 6.1.2 or an earlier version?

    My last question is about how to upgrade my device to 6.1.2 or an earlier version with blobs, assuming at least one of my 4.x blobs is valid. What tool(s) can be used and how? I tried Restore functionality of redsn0w. It was stuck at the stage that it asked me to manually get my device into DFU mode because I failed to get it into DFU mode after many times' trying. Then I gave up. Please let me know if I were on right track and I should keep trying getting the device into DFU mode.

    Any comment will be greatly appreciated.

    EDIT:
    Upgrading to 5.x is acceptable if 6.x is impossible.

    EDIT:
    Here is the list of my saved SHSH blobs:
    4.3.3, 4.3.4, 4.3.5, 5.0b1, 5.0b2, 5.0b3, 5.1.1, 6.0gm, 6.0.1, 6.1, 6.1.2, 6.1.3
    TSS Center in Cydia shows:
    SHSH: iOS 4.3.3, 4.3.5, 5.1.1, 6.1.3

    EDIT:
    Added question 1: Do I not have to worry about baseband? (What I have is iPad 2 GSM model.)
    Added question 2: I downloaded an older version of redsn0w and it managed to stitch my 5.1.1 blob with official IPSW. Can I upgrade to 5.1.1 with this IPSW and how?

    CONCLUSION:
    iPad 2 with saved 4.x and 5.1.1 blobs can be upgraded from 4.x to 5.1.1.
    The instructions are listed below at #8.
    Last edited by alewela; 06-17-2013 at 11:56 PM. Reason: adding/updating information
    06-15-2013 07:08 AM
  2. Laelipoo's Avatar
    The better question is, do you have the SHSH for 5.x?

    ​The re-restore of iOS 5 requires the iOS 4 blobs, as the dev-team website states. You should definitely be able to get to 5.1.1 with those blobs, which is jailbreakable. 6.1.2, on the other hand, I doubt, as no one has had any luck restoring to a 6.x firmware.

    Your best bet would be to restore to 5.1.1 using your 4.x blobs and the latest version of redsn0w, following the instructions here.
    06-15-2013 10:59 AM
  3. alewela's Avatar
    I have SHSH blobs of 5.1.1.

    Here is the list of my saved SHSH blobs:
    4.3.3, 4.3.4, 4.3.5, 5.0b1, 5.0b2, 5.0b3, 5.1.1, 6.0gm, 6.0.1, 6.1, 6.1.2, 6.1.3
    TSS Center in Cydia shows:
    SHSH: iOS 4.3.3, 4.3.5, 5.1.1, 6.1.3

    By saying "re-restore", do you mean "upgrade"?

    EDIT: The link you provided seems to be about moving between 5.x and 5.x, which is not the same as my situation. And there doesn't seem to be instructions. Could you share more information?

    EDIT: I downloaded an older version of redsn0w and it managed to stitch my 5.1.1 blob with official IPSW. Can I upgrade to 5.1.1 with this IPSW and how?
    Last edited by alewela; 06-15-2013 at 10:24 PM. Reason: adding/updating information
    06-15-2013 07:17 PM
  4. Laelipoo's Avatar
    It's in the update about the iPad, note 4 I believe. You use the restore feature to move to 5.1.1, even though you are on 4.x.

    4. iPad2 owners (all three models) with saved 4.x blobs can use those instead, even from 6.x

    if you have both 4.x and 5.x iPad2 blobs, you can always get to 5.x via the 4.x blobs, even if youre currently on 6.x
    This means you can move to 5.1.1 using this feature, as you have the 4 and 5 blobs (the 6.x bit is an aside).
    06-15-2013 11:51 PM
  5. natasftw's Avatar
    Baseband only matters if you're trying to preserve an unlock. That's not an issue for the iPad. For the rest, you're already in good hands.
    06-16-2013 01:24 AM
  6. alewela's Avatar
    Thank you both for the replies.

    Both of you believe that I can upgrade my iPad 2 to 5.1.1 while interestingly some other people firmly insist that there is no way to upgrade or downgrade an iPad 2 to anything other than 6.1.3 right now. I'm not sure which opinion is more up-to-date.

    You use the restore feature to move to 5.1.1, even though you are on 4.x.
    Just to confirm, are you saying that I can upgrade to 5.1.1 with redsn0w's Restore feature? If yes, what version of redsn0w shall I use? The version I used to stitch 5.1.1 blob and IPSW is 0.9.14b2 while the latest version, which reported my 4.3.x blobs missing APTicket, is 0.9.15b3.

    And is the stitched 5.1.1 IPSW of any use?

    As I said, I tried the Restore feature of redsn0w yesterday. But I had problem trying to get the device into DFU mode manually, as asked by the program. It seemed that getting from recovery mode to DFU mode is quite difficult.

    I found this web page: How to Downgrade Your iPad 2 From iOS 6.x to iOS 5.x (Windows). Is it the right steps I should do to upgrade to 5.1.1?
    06-16-2013 02:24 AM
  7. Laelipoo's Avatar
    Those are the correct instructions. As it states, you use the latest version of redsn0w available at the first link I gave you. You don't need the stitched firmware.

    All 4.x blobs would be missing AP Tickets, because they didn't exist until iOS 5.

    You will have to be in DFU mode, yes. If you're having that much trouble getting into DFU mode, you could try making a DFU IPSW, then doing the restore process. Redsn0w has this capability.
    06-16-2013 09:06 AM
  8. alewela's Avatar
    Thank you all for the help. My device has been upgraded to 5.1.1 successfully.

    In order to thank those who helped me, and since this is a hot question asked in many forums many times every month, I'm summarizing how I did it as shown below.

    Note that this is just a list of the steps I've done and experienced. You may not experience same thing so you may not have to do the exact steps.

    • Run redsn0w 0.9.15b3
    • Choose: Extras -> Even more -> Restore
    • Click IPSW and select official 5.1.1 IPSW (I have 5.1.1 SHSH blob.)
    • Follow the program's instructions.
    • When it comes to choosing 4.x IPSW, choose official 4.3.3 IPSW (I have 4.3.3 SHSH blob.)
    • When it comes to choosing blobs, choose Remote. (This attempt fails. But I'm not sure if it's because of choosing remote blobs.)
    • The program pops up various messages indicating many things it does. iPad is restarted. A dialog window comes up saying "Couldn't restore" and "Service wouldn't start", with no error code. redsn0w and iTunes consider iPad not connected.
    • [Resolved] upgrade iPad 2 from 4.3.3 to ios 5.x-6.x with saved 4.x SHSH blobs-couldnotrestore-servicewouldnotstart2.png
    • Long hold Sleep and Home to turn off iPad. Plug it in, iTunes finds iPad in recovery mode.
    • Try "Exit Recovery" feature of TinyUmbrella, redsn0w and RecBoot. None works. The device remains in recovery mode.
    • Search internet and find other people succeeded by retrying multiple times after the same error (Couldn't restore, Service wouldn't start).
    • Redo the upgrading process and disregard its preference for the device being in normal mode. It pops up a message box asking "Is this a 5.x to 5.x re-restore?":
    • [Resolved] upgrade iPad 2 from 4.3.3 to ios 5.x-6.x with saved 4.x SHSH blobs-5x-5x.png
    • Press No, and follow program's instructions. When it comes to choosing blobs, choose Local. (This attempt succeeds. But again I'm not sure if it's the reason.)
    • Wait for program to progress. There are more messages and more iPad restarts.
    • [Resolved] upgrade iPad 2 from 4.3.3 to ios 5.x-6.x with saved 4.x SHSH blobs-done.png

    (The self-made stitched IPSW, generated by redsn0w 0.9.14b2, is not used.)

    By the way, jailbreaking with redsn0w failed, showing "Jailbreak failed", "Service wouldn't start (4234)". Then absinthe (2.0.4) worked.
    Last edited by alewela; 06-17-2013 at 11:51 PM.
    thebat1 likes this.
    06-17-2013 11:19 PM
  9. Laelipoo's Avatar
    I would say most people should just go to the local bit, assuming they have local SHSH blobs, but thank you for doing this outline of your steps. I am glad you were able to update to 5.1.1 successfully.
    alewela likes this.
    06-18-2013 08:29 AM
  10. zetokaiba's Avatar
    Hello my friend, my questions is, if you can send me you 4x shsh. I tried to do the something, but I need the 4x shsh blobs can you help me with that?
    My mail.
    Palestina_daniel@yahoo.com
    06-19-2013 11:15 PM
  11. Laelipoo's Avatar
    Hello my friend, my questions is, if you can send me you 4x shsh. I tried to do the something, but I need the 4x shsh blobs can you help me with that?
    My mail.
    Palestina_daniel@yahoo.com
    Blobs are device-specific. You cannot use another person's blobs.
    06-20-2013 06:33 AM
  12. jackkhoo's Avatar
    I have SHSH blobs of 5.1.1.

    Here is the list of my saved SHSH blobs:
    4.3.3, 4.3.4, 4.3.5, 5.0b1, 5.0b2, 5.0b3, 5.1.1, 6.0gm, 6.0.1, 6.1, 6.1.2, 6.1.3
    TSS Center in Cydia shows:
    SHSH: iOS 4.3.3, 4.3.5, 5.1.1, 6.1.3

    By saying "re-restore", do you mean "upgrade"?

    EDIT: The link you provided seems to be about moving between 5.x and 5.x, which is not the same as my situation. And there doesn't seem to be instructions. Could you share more information?

    EDIT: I downloaded an older version of redsn0w and it managed to stitch my 5.1.1 blob with official IPSW. Can I upgrade to 5.1.1 with this IPSW and how?
    Hi alewela,
    I have an iPhone 3GS with accidental upgrade to iOS 6.1.3. However I managed to downgrade back to iOS 4.1 using Redsn0w since the only shsh blobs available from cydia is down to ios4.1. I saw you have a bunch of saved shsh blobs available from 4.3 to 5.11, is there any chance you can share your shsh blobs file ? Thank you.

    Jack
    07-06-2013 10:32 PM
  13. jackkhoo's Avatar
    Hi Laelipoo,

    I'm Jack. I recently downgraded my iPhone 3GS from iOS 6.1.3 to iOS 4.1 using Redsn0w 0.9.15b3. I do not have any saved shsh blobs earlier. I'm trying to upgrade tomios5.1.1. Or any iOS higher than 4.1. Unfortunately I can't find any shsh blobs file from cydia server or using Tinyumbrella.

    Is there anywhere else I can get the shsh blobs file for ios5.1.1 for iPhone 3GS?

    Appreciate your help. Thank you.
    Jack
    07-06-2013 10:40 PM
  14. Laelipoo's Avatar
    No, sorry. If you didn't save your own shsh, there is nothing anyone else can do.
    07-07-2013 04:52 AM
  15. umerdaniyal1's Avatar
    Hi. Can u send me your All your 4.x blobs i need to downgrade my ipad 2.

    i will be very thankful to you Brother.

    email: udthelegendkiller@yahoo.com
    09-13-2013 02:53 AM
  16. nenita18's Avatar
    I have a huge favor if you can email me shsh 4.3.3 really need it badly thanks in advance
    heres my email miah_chinita18@yahoo.com.ph
    11-12-2013 06:34 AM

Similar Threads

  1. Please help me upgrade from 4.2.1 to IOS 5 :)
    By Luke Jones1 in forum Jailbreaking, Unlocking, Hacks, Themes & Mods
    Replies: 5
    Last Post: 09-30-2013, 08:39 AM
  2. Problem upgrading ipad from ios 5 to ios 6
    By astritsylaj in forum Jailbreaking, Unlocking, Hacks, Themes & Mods
    Replies: 1
    Last Post: 02-11-2013, 03:18 PM
  3. Please HELP!! ERROR upgrading Ipad from 4.3.2 to 4.3.3
    By roscoboy272 in forum Jailbreaking, Unlocking, Hacks, Themes & Mods
    Replies: 3
    Last Post: 05-09-2011, 06:56 AM
  4. Keep unlock when upgrading from 3.1.2 to ios 4.0.1
    By Cardinals_fan365 in forum Jailbreaking, Unlocking, Hacks, Themes & Mods
    Replies: 7
    Last Post: 08-05-2010, 12:47 PM
  5. Tried to upgrade iphone from 1.1.4 to 2.1 and failed, please help
    By LDP in forum Jailbreaking, Unlocking, Hacks, Themes & Mods
    Replies: 4
    Last Post: 05-30-2009, 06:35 PM
LINK TO POST COPIED TO CLIPBOARD